# -*- coding: utf-8 -*-
# Generated by Django 1.10.7 on 2018-04-14 18:56
from __future__ import unicode_literals

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [("cotisations", "0028_auto_20171231_0007")]

    operations = [
        migrations.AlterModelOptions(
            name="article",
            options={
                "permissions": (("view_article", "Can see an article's details"),),
                "verbose_name": "Article",
                "verbose_name_plural": "Articles",
            },
        ),
        migrations.AlterModelOptions(
            name="banque",
            options={
                "permissions": (("view_banque", "Can see a bank's details"),),
                "verbose_name": "Bank",
                "verbose_name_plural": "Banks",
            },
        ),
        migrations.AlterModelOptions(
            name="cotisation",
            options={
                "permissions": (
                    ("view_cotisation", "Can see a cotisation's details"),
                    ("change_all_cotisation", "Can edit the previous cotisations"),
                )
            },
        ),
        migrations.AlterModelOptions(
            name="facture",
            options={
                "permissions": (
                    ("change_facture_control", 'Can change the "controlled" state'),
                    ("change_facture_pdf", "Can create a custom PDF invoice"),
                    ("view_facture", "Can see an invoice's details"),
                    ("change_all_facture", "Can edit all the previous invoices"),
                ),
                "verbose_name": "Invoice",
                "verbose_name_plural": "Invoices",
            },
        ),
        migrations.AlterModelOptions(
            name="paiement",
            options={
                "permissions": (("view_paiement", "Can see a payement's details"),),
                "verbose_name": "Payment method",
                "verbose_name_plural": "Payment methods",
            },
        ),
        migrations.AlterModelOptions(
            name="vente",
            options={
                "permissions": (
                    ("view_vente", "Can see a purchase's details"),
                    ("change_all_vente", "Can edit all the previous purchases"),
                ),
                "verbose_name": "Purchase",
                "verbose_name_plural": "Purchases",
            },
        ),
        migrations.AlterField(
            model_name="article",
            name="duration",
            field=models.PositiveIntegerField(
                blank=True,
                null=True,
                validators=[django.core.validators.MinValueValidator(0)],
                verbose_name="Duration (in whole month)",
            ),
        ),
        migrations.AlterField(
            model_name="article",
            name="name",
            field=models.CharField(max_length=255, verbose_name="Designation"),
        ),
        migrations.AlterField(
            model_name="article",
            name="prix",
            field=models.DecimalField(
                decimal_places=2, max_digits=5, verbose_name="Unitary price"
            ),
        ),
        migrations.AlterField(
            model_name="article",
            name="type_cotisation",
            field=models.CharField(
                blank=True,
                choices=[
                    ("Connexion", "Connexion"),
                    ("Adhesion", "Membership"),
                    ("All", "Both of them"),
                ],
                default=None,
                max_length=255,
                null=True,
                verbose_name="Type of cotisation",
            ),
        ),
        migrations.AlterField(
            model_name="article",
            name="type_user",
            field=models.CharField(
                choices=[
                    ("Adherent", "Member"),
                    ("Club", "Club"),
                    ("All", "Both of them"),
                ],
                default="All",
                max_length=255,
                verbose_name="Type of users concerned",
            ),
        ),
        migrations.AlterField(
            model_name="banque",
            name="name",
            field=models.CharField(max_length=255, verbose_name="Name"),
        ),
        migrations.AlterField(
            model_name="cotisation",
            name="date_end",
            field=models.DateTimeField(verbose_name="Ending date"),
        ),
        migrations.AlterField(
            model_name="cotisation",
            name="date_start",
            field=models.DateTimeField(verbose_name="Starting date"),
        ),
        migrations.AlterField(
            model_name="cotisation",
            name="type_cotisation",
            field=models.CharField(
                choices=[
                    ("Connexion", "Connexion"),
                    ("Adhesion", "Membership"),
                    ("All", "Both of them"),
                ],
                default="All",
                max_length=255,
                verbose_name="Type of cotisation",
            ),
        ),
        migrations.AlterField(
            model_name="cotisation",
            name="vente",
            field=models.OneToOneField(
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="cotisations.Vente",
                verbose_name="Purchase",
            ),
        ),
        migrations.AlterField(
            model_name="facture",
            name="cheque",
            field=models.CharField(
                blank=True, max_length=255, verbose_name="Cheque number"
            ),
        ),
        migrations.AlterField(
            model_name="facture",
            name="control",
            field=models.BooleanField(default=False, verbose_name="Controlled"),
        ),
        migrations.AlterField(
            model_name="facture",
            name="date",
            field=models.DateTimeField(auto_now_add=True, verbose_name="Date"),
        ),
        migrations.AlterField(
            model_name="facture",
            name="valid",
            field=models.BooleanField(default=True, verbose_name="Validated"),
        ),
        migrations.AlterField(
            model_name="paiement",
            name="moyen",
            field=models.CharField(max_length=255, verbose_name="Method"),
        ),
        migrations.AlterField(
            model_name="paiement",
            name="type_paiement",
            field=models.IntegerField(
                choices=[(0, "Standard"), (1, "Cheque")],
                default=0,
                verbose_name="Payment type",
            ),
        ),
        migrations.AlterField(
            model_name="vente",
            name="duration",
            field=models.PositiveIntegerField(
                blank=True, null=True, verbose_name="Duration (in whole month)"
            ),
        ),
        migrations.AlterField(
            model_name="vente",
            name="facture",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="cotisations.Facture",
                verbose_name="Invoice",
            ),
        ),
        migrations.AlterField(
            model_name="vente",
            name="name",
            field=models.CharField(max_length=255, verbose_name="Article"),
        ),
        migrations.AlterField(
            model_name="vente",
            name="number",
            field=models.IntegerField(
                validators=[django.core.validators.MinValueValidator(1)],
                verbose_name="Amount",
            ),
        ),
        migrations.AlterField(
            model_name="vente",
            name="prix",
            field=models.DecimalField(
                decimal_places=2, max_digits=5, verbose_name="Price"
            ),
        ),
        migrations.AlterField(
            model_name="vente",
            name="type_cotisation",
            field=models.CharField(
                blank=True,
                choices=[
                    ("Connexion", "Connexion"),
                    ("Adhesion", "Membership"),
                    ("All", "Both of them"),
                ],
                max_length=255,
                null=True,
                verbose_name="Type of cotisation",
            ),
        ),
    ]
